extends State
class_name BeeSleeping

@onready var bee : Bee = get_parent().get_parent() as Bee # I think this is bad but I dont care it works

var time_at_patch : float = 0.0

func enter(_msg := {}) -> void:
	pass

func update(_delta) -> void:
	pass

func physics_update(_delta : float) -> void:
	pass